USB_REGISTER_DRIVER(9)

NAME
usb_register_driver - register a USB driver

SYNOPSIS

int usb_register_driver (struct usb_driver * new_driver, struct module * owner);

ARGUMENTS

new_driver
    USB operations for the driver

owner
    module owner of this driver.

DESCRIPTION

Registers a USB driver with the USB core. The list of unattached interfaces will be rescanned whenever a new driver is added, allowing the new driver to attach to any recognized devices. Returns a negative error code on failure and 0 on success.

NOTE

if you want your driver to use the USB major number, you must call usb_register_dev to enable that functionality. This function no longer takes care of that.